## libproxy 0.3.1

=== debian/changelog ===
libproxy (0.3.1-6) unstable; urgency=low

  * Swap libmozjs and webkitgtk Recommends. Closes: #699788.

 -- Josselin Mouette <joss@debian.org>  Tue, 05 Feb 2013 08:59:26 +0100

libproxy (0.3.1-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix cve-2012-4505: buffer overflow in lib/pac.c (closes: #690376).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 Oct 2012 04:44:22 -0400

libproxy (0.3.1-5) unstable; urgency=low

  [ Kees Cook ]
  * debian/{control,rules,*.install}: Convert to Multi-Arch. Closes: #651491

  [ Michael Biebl ]
  * Bump Standards-Version to 3.9.3.
  * Update Vcs-* URLs.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 May 2012 21:12:36 +0200

libproxy (0.3.1-4) unstable; urgency=low

  * debian/patches/03_format-security.patch:
    - Fix build failure with [-Werror=format-security]. Closes: #643433
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Don't hard-code the Recommends on libwebkitgtk-1.0-0 | libmozjs6d.
    Instead filter out the correct library package names as found by
    dpkg-shlibdeps and set them via substvars.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Oct 2011 03:28:17 +0200

libproxy (0.3.1-3) unstable; urgency=low

  * Use linux-any wildcard. Closes: #634464.
  * Migrate to libwebkitgtk* dependencies. Closes: #635416.
  * Migrate to dh_python2. Closes: #635140.
  * Build-depend on mozjs >= 6, require libmozjs6d. Closes: #638942.
  * Switch to 3.0 quilt format.
  * 02_url_user.patch: patch from Florian Echtler to fix incorrect 
    parsing of URLs containing user and port but no password.
    Closes: #635684.

 -- Josselin Mouette <joss@debian.org>  Tue, 23 Aug 2011 23:11:55 +0200

libproxy (0.3.1-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/libproxy_link_against_libdl.patch:
    - Removed, configure.ac already adds the correct check so this is not
      needed anymore.

  [ Josselin Mouette ]
  * 01_pac_http.patch: new patch from Julien Blache. Don’t assume HTTP 
    header names are case sensitive. Closes: #600196.
  * Re-enable webkit support. The build-dependency loop is not a problem 
    for a stable release. (But the issue will arise again later.)
  * Recommend libwebkit-1.0-2 | libmozjs2d. Closes: #597864.

 -- Josselin Mouette <joss@debian.org>  Tue, 19 Oct 2010 08:46:05 +0200

libproxy (0.3.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash when parsing .pac file. Closes: #550179.
    - debian/patches/10_configure-check-for-dbus.patch,
      debian/patches/60_am-prog-cc-c-o.patch:
      + Removed, fixed upstream.
    - debian/control.in:
      + Build depend on gconf2 instead of libgconf2-dev.
      + Build depend on kdelibs5-dev and libqt4-dev for the KDE4 plugin.
    - debian/patches/50_px-wpad-fallback-env-var.patch,
      debian/rules:
      + Remove patch, don't install wpad_dnsdevolution.so now.
    - debian/patches/70_autotools.patch:
      + Removed, no longer needed.
    - debian/libproxy0.install,
      debian/rules:
      + s/plugins/modules/ following the upstream change.
  * debian/control.in:
    - Update my maintainer email address.
    - Standards-Version is 3.8.3, no changes needed.
    - libproxy-tools is section utils.
  * debian/watch:
    - Look for bzip2 tarballs.
  * debian/patches/libproxy_link_against_libdl.patch:
    - Link with -ldl for dlopen et al. Closes: #558920.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 12 Dec 2009 01:56:54 +0100

libproxy (0.2.3-4) unstable; urgency=low

  * Don't build NetworkManager support on non-Linux platforms. Thanks
    Samuel Thibault. Closes: #534939.
  * Standards-Version is 3.8.2, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sun, 28 Jun 2009 20:35:04 +0200

libproxy (0.2.3-3) unstable; urgency=low

  * Stop building the webkit plugin for now, we have a circular build-
    dependency with webkit. Instead, build the mozjs one, so that we can
    still read PAC files.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 29 Apr 2009 20:55:50 +0200

libproxy (0.2.3-2) unstable; urgency=low

  * debian/patches/50_px-wpad-fallback-env-var.patch:
    - Fix logic to not bypass the config plugin when the env variable
      isn't set. We don't do wpad fallback if the env variable isn't set,
      but there's not reason to ignore the config file if one is provided.
      See https://launchpad.net/bugs/354475.
  * Standards-Version is 3.8.1, no changes needed.
  * debian/copyright: Add copyright note for pacutils.js

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sat, 25 Apr 2009 14:25:10 +0200

libproxy (0.2.3-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Initial release (Closes: #509063).
  * Fix if/else logic and a wrong free in 50_px-wpad-fallback-env-var.

  [ Loic Minier ]
  * Set libproxy-dev Arch: any; too small win to warrant installability issues
    on slow arches.
  * Drop shlibs:Depends from python-libproxy as it's Arch: all.
  * Drop gnome-get-source.mk include as it's not working by default.
  * Rename patch configure_check_for_dbus to 10_configure-check-for-dbus.
  * Run a full autoreconf instead of only autoconf.
    - New patch, 60_am-prog-cc-c-o, makes newer autoconfs happier.
    - New patch, 70_autotools, split autotools generated files here to force
      them to be applied last and avoid timestamp skews issues.
    Thanks Sébastien Bacher and Ubuntu for the above.
  * New patch, 50_px-wpad-fallback-env-var, check PX_WPAD_FALLBACK env var to
    decide whether to fall back to wpad:// style autodetection or not,
    defaulting to not fallback when the env var isn't set.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Tue, 03 Mar 2009 01:11:35 +0100
