=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libproxy
Section: libs
Priority: optional
Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs (>= 0.4.93~),
               debhelper (>= 8.1.3~),
               gnome-pkg-tools,
               autotools-dev,
               python-all-dev (>= 2.6.6-3~),
               network-manager-dev [linux-any],
               libdbus-1-dev,
               libmozjs-dev (>= 6),
               kdelibs5-dev,
               libqt4-dev,
               libwebkitgtk-dev,
               gconf2,
               libxmu-dev
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/libproxy
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libproxy
Homepage: http://code.google.com/p/libproxy/

Package: libproxy0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${moz:Recommends} | ${webkit:Recommends}
Description: automatic proxy configuration management library (shared)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the shared library.

Package: libproxy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libproxy0 (= ${binary:Version})
Description: automatic proxy configuration management library (devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the development files.

Package: libproxy-tools
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (tools)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains a program to interact with libproxy from the
 command line.

Package: python-libproxy
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends},
         libproxy0 (>= ${source:Version})
Description: automatic proxy configuration management library (python)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the Python bindings.
