=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

SHLIBVER := 0.2.3
libproxy := $(shell sed -nr 's/^Package:[[:space:]]*(libproxy[0-9]+)[[:space:]]*$$/\1/p' debian/control)

DEB_DH_MAKESHLIBS_ARGS_$(libproxy) = -V '$(libproxy) (>= $(SHLIBVER))'
DEB_DH_SHLIBDEPS_ARGS_$(libproxy) := -Xmodules
DEB_DH_GENCONTROL_ARGS_$(libproxy) = -- \
	-Vmoz:Recommends=$(shell grep -o "libmoz[a-z0-9]*" debian/libproxy0.substvars) \
	-Vwebkit:Recommends=$(shell grep -o "libwebkit[a-z0-9.-]*" debian/libproxy0.substvars)
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

binary-install/python-libproxy::
	dh_python2 -p$(cdbs_curpkg)

binary-install/$(libproxy)::
	dh_shlibdeps -plibproxy0 -- -pmodules
	rm debian/$(libproxy)/usr/lib/*/libproxy/*/modules/wpad_dnsdevolution.so
