## libproxy 0.4.7

=== debian/changelog ===
libproxy (0.4.7-0ubuntu4.1) precise-security; urgency=low

  * SECURITY UPDATE: possible remote code execution via buffer overflow
    - debian/patches/CVE-2012-4504.patch: move length check to proper
      location in libproxy/url.cpp.
    - CVE-2012-4504

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 Nov 2012 09:43:52 -0500

libproxy (0.4.7-0ubuntu4) precise; urgency=low

  * Re-enable webkit pacrunner and build it into its own module package
    (adding a patch to the upstream build system required to achieve this).
    (LP: #934088)
  * Build with webkit3.

 -- Iain Lane <laney@ubuntu.com>  Fri, 17 Feb 2012 10:10:45 +0000

libproxy (0.4.7-0ubuntu3) precise; urgency=low

  * Drop libwebkitgtk-dev build dependency. We just got rid of the old
    webkit-gtk2 stack, we don't want to pull that back in. We already had to
    disable the webkit plugin as this needs mozjs. (LP: #933913)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Feb 2012 07:54:22 +0100

libproxy (0.4.7-0ubuntu2) precise; urgency=low

  * debian/control: Drop mozjs build dependency and mozjs/webkit plugin
    packages, mozjs is in universe (and supposed to stay there).
  * debian/rules: Disable WITH_MOZJS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Feb 2012 16:21:24 +0100

libproxy (0.4.7-0ubuntu1) precise; urgency=low

  [ Iain Lane ]
  * New upstream release.
  * Convert to dh7.
  * SONAME bump, rename packages accordingly
  * Remove obsolete patches
  * Add CLI/Vala bindings.
  * Also install vala bindings (in -dev package)
  * Update Standards-Version to 3.9.2
  * Split modules into individual packages
  * Link with --as-needed to avoid unnecessary deps
  * Update copyright
  * Make library multiarch compatible

  [ Ken VanDine ]
  * Build against libmozjs185.

 -- Iain Lane <laney@debian.org>  Wed, 15 Feb 2012 14:42:54 +0100
