=== debian/control ===
Source: libproxy
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>
Build-Depends-Indep: cli-common-dev (>= 0.5.7~), mono-devel (>= 2.4.3)
Build-Depends: debhelper (>= 9),
               gnome-pkg-tools,
               cmake,
               python-all-dev (>= 2.6.6-3~),
               network-manager-dev [linux-any],
               libdbus-1-dev,
               kdelibs5-dev,
               libqt4-dev,
               libwebkitgtk-3.0-dev,
               libglib2.0-dev (>= 2.26),
               libxmu-dev
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libproxy
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libproxy
Homepage: http://code.google.com/p/libproxy/

Package: libproxy1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (shared)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the shared library.

Package: libproxy1-plugin-gsettings
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libproxy1 (= ${binary:Version})
Description: automatic proxy configuration management library (GSettings plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 GSettings (GNOME 3)

Package: libproxy1-plugin-kconfig
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libproxy1 (= ${binary:Version})
Description: automatic proxy configuration management library (KConfig plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 KConfig (KDE 4)

Package: libproxy1-plugin-networkmanager
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libproxy1 (= ${binary:Version})
Description: automatic proxy configuration management library (Network Manager plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read information from
 Network Manager.

#Package: libproxy1-plugin-mozjs
#Architecture: any
#Multi-Arch: same
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#         libproxy1 (= ${binary:Version})
#Description: automatic proxy configuration management library (mozjs plugin)
# libproxy is a lightweight library which makes it easy to develop
# applications proxy-aware with a simple and stable API.
# .
# This package contains the plugin to allow libproxy to interpret PAC files
# using mozjs

Package: libproxy1-plugin-webkit
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libproxy1 (= ${binary:Version})
Description: automatic proxy configuration management library (Webkit plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to interpret PAC files
 using Webkit

Package: libproxy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libproxy1 (= ${binary:Version})
Description: automatic proxy configuration management library (devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the development files including vala bindings.

Package: libproxy-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (tools)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains a program to interact with libproxy from the
 command line.

Package: python-libproxy
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends},
         libproxy1 (>= ${source:Version})
Description: automatic proxy configuration management library (python)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the Python bindings.

Package: libproxy0.4-cil
Architecture: all
Section: cli-mono
Depends: ${cli:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (CLI)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the CLI bindings.

Package: libproxy-cil-dev
Architecture: all
Section: cli-mono
Depends: ${cli:Depends},
         ${misc:Depends},
         libproxy0.4-cil (= ${binary:Version})
Description: automatic proxy configuration management library (CLI devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains development files for the CLI bindings, and should be
 used for compilation.
