=== debian/changelog ===
libproxy (0.4.11-0ubuntu4) saucy; urgency=low

  * Build libproxy1-plugin-kconfig on arm64 now that we have kdelibs5-dev.

 -- William Grant <wgrant@ubuntu.com>  Tue, 15 Oct 2013 00:28:07 +1100

libproxy (0.4.11-0ubuntu3) saucy; urgency=low

  * Don't build libproxy1-plugin-kconfig on AArch64, kde5libs-dev
    not yet available.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Oct 2013 05:33:40 +0200

libproxy (0.4.11-0ubuntu2) saucy; urgency=low

  * debian/patches/dont_segfault_on_exit.patch:
    - drop buggy unref calls to fix a segfault (lp: #1182043)  

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 May 2013 13:20:43 +0200

libproxy (0.4.11-0ubuntu1) raring; urgency=low

  * New upstream release
    - Build fixes with cmake 2.8.10+
    - Quick release without built binaries / files
      + Remove these from debian/clean
  * debian/watch: Update to work with current Google Code website (once more
    with feeling)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 10 Jan 2013 12:17:22 +0000

libproxy (0.4.10-0ubuntu1) raring; urgency=low

  * New upstream release 0.4.10 (LP: #1078915). Selected fixes since 0.4.7:
    - Fix infinite loop uppon network errors
    - Only support standalone mozjs185 as mozilla js engine.  xulrunner being
      part of the now lightning fast moving firefox is impossible to be tracked
      as a dependency and it is not supported by Mozilla to be used in this
      scenario.
    - Support building with javascritpcoregtk 1.5 (got split out of webkitgtk).
  * debian/watch: Update to work with Google code again .
  * Remove all patches - all applied upstream. 
  * Clean accidently shipped built binaries to ensure we ship those built from
    this source.
  * debian/patches/disable-pac-test.patch: Steal patch from Gentoo to disable
    the get-pac-test which hangs when run from the build.
  * Bump Standards-Version to 3.9.4, no changes required. 
  * Add basic compile/link/run autopkgtest - thanks to Rafal Cieślak (LP:
    #1079102)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 15 Nov 2012 12:06:57 +0000

libproxy (0.4.7-0ubuntu6) quantal; urgency=low

  * debian/patches/CVE-2012-4504.patch: Cherry-pick upstream r853 to fix
    buffer overflow when downloading large PAC files. 

 -- Iain Lane <iain.lane@canonical.com>  Wed, 10 Oct 2012 17:56:14 +0100

libproxy (0.4.7-0ubuntu5) quantal; urgency=low

  * debian/patches/libproxy-gcc-4.7.diff: Cherry-pick patch from upstream svn
    r833 to fix FTBFS with GCC-4.7 due to missing includes.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 25 Sep 2012 12:51:03 +0100
