=== debian/control ===
--- 
+++ 
@@ -14,9 +14,10 @@
                kdelibs5-dev,
                libqt4-dev,
                libwebkitgtk-3.0-dev,
+               libjavascriptcoregtk-3.0-dev,
                libglib2.0-dev (>= 2.26),
                libxmu-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libproxy
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libproxy
@@ -103,6 +104,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
+XS-Testsuite: autopkgtest
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libproxy1 (= ${binary:Version})
