=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 		-DWITH_WEBKIT3=ON \
 		-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
 		-DCMAKE_SKIP_RPATH=ON \
+		-DBIPR=0 \
 		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		-DLIBEXEC_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/libproxy/$(SHLIBVER)
