=== debian/watch ===
version=3

http://code.google.com/p/libproxy/downloads/list \
	http://libproxy.googlecode.com/files/libproxy-(.*).tar.bz2
