## libproxy 0.4.14

=== debian/changelog ===
libproxy (0.4.14-3) unstable; urgency=medium

  [ Alexander Volkov ]
  * Don't build depend on libkf5config-bin on stage1 (Closes: #847365)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 27 May 2017 14:13:41 +0200

libproxy (0.4.14-2) unstable; urgency=medium

  * debian/patches/fix-clean-reload-cache.patch: Make sure that the PAC/WPAD
    cache is cleanup when network topology changes and prevent a segfault in
    the process, patches merged upstream.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Feb 2017 12:17:50 +0100

libproxy (0.4.14-1) unstable; urgency=medium

  * New upstream release.
  * Switch Build-Depends from network-manager-dev to the newer libnm-dev.
    While the code has a fallback for the older header files, the new ones
    provided by libnm are preferred by upstream.
  * Use DEB_LDFLAGS_MAINT_APPEND to pass additional flags to the linker.
  * Bump SHVER to 0.4.14.

 -- Michael Biebl <biebl@debian.org>  Sun, 22 Jan 2017 13:58:45 +0100

libproxy (0.4.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS (Closes: #844956).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 20 Nov 2016 14:24:11 +0500

libproxy (0.4.13-1) unstable; urgency=medium

  * Team upload.

  [ Michael Biebl ]
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.

  [ Jeremy Bicha ]
  * New upstream version
  * Add python3-libproxy package
  * Add debian/docs to install NEWS
  * debian/control.in debian/watch: Update homepage and watch URLs
  * debian/control.in:
    - Build-depend on libkf5config-bin instead of QT and KDE libs
    - Bump Standards-Version to 3.9.8
  * debian/libproxy1-plugin-kconfig.install:
    config_kde.so instead of config_kde4.so
  * Dropped patches applied in new version:
    - 0001-pacrunner_webkit-allow-linking-against-javascriptcor.patch
    - dont_segfault_on_exit.patch
    - fix-mozjs-detection.patch

  [ Iain Lane ]
  * debian/rules: Use pyversions -d

 -- Jeremy Bicha <jbicha@linux.com>  Thu, 10 Nov 2016 12:57:09 +0000

libproxy (0.4.11-5) unstable; urgency=medium

  [ Peter Pentchev ]
  * Add explicit zlib build-dependency (Closes: #758465)
  * Break a couple of build dependency loops (Closes: #758466)
  * Add build profile annotations to debian/control (Closes: #758467)

  [ Andreas Henriksson ]
  * Build-depend on dpkg-dev (>= 1.17.2) and bump debhelper to >= 9.20140227
    - these versions introduced build profiles support.
  * Bump Standards-Version to 3.9.5

  [ Iain Lane ]
  * Ack the NMUs, thanks!
  * Fix the build profiles syntax to the current version.
  * debian/patches/0001-pacrunner_webkit-allow-linking-against-javascriptcor.patch:
    Cherry-pick - allow building against webkit2gtk. Update BDs too.
  * Add Enhances: from the plugin packages to the library so that people can
    find them easier. (Closes: #768435, #768437)
  * Use the substvar we just added to add Depends on our shared package.

 -- Iain Lane <laney@debian.org>  Tue, 16 Feb 2016 13:17:41 +0000

libproxy (0.4.11-4.2) unstable; urgency=medium

  * Non maintainer upload.
  * libproxy1-plugin-mozjs: Fix dependency on new libproxy1v5.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 21:42:23 +0200

libproxy (0.4.11-4.1) unstable; urgency=medium

  * Non maintainer upload.
  * Rename library libproxy1 -> libproxy1v5, needed as a follow-up transition
    for the libstdc++6 ABI changes (patch by Sebastien Bacher).
    Addresses: #794402.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 20:15:37 +0200

libproxy (0.4.11-4) unstable; urgency=low

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Sun, 03 Nov 2013 13:34:28 +0100

libproxy (0.4.11-3) experimental; urgency=low

  * debian/control.in: Build-depend on netbase, this will hopefully fix the
    FTBFS

 -- Laurent Bigonville <bigon@debian.org>  Thu, 10 Oct 2013 16:06:21 +0200

libproxy (0.4.11-2) experimental; urgency=low

  * debian/control.in: Only build networkmanager plugin on linux-any
    architectures
  * Drop debian/libproxy1.symbols: .symbols file with C++ libraries is just a
    nightmare, rely on the good old shlibs file

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Sep 2013 13:34:14 +0200

libproxy (0.4.11-1) experimental; urgency=low

  * Upload new upstream release to debian, thanks to the Ubuntu guys for the
    changes (Closes: #604934)
  * Re-enable mozjs plugin, this new version is built against mozjs185, this
    fix the current FTBFS and the stability of the ABI/API we build against
    (Closes: #707419, #722685)
  * debian/rules:
    - Re-add uploaders.mk magic
    - Bump SHLIBVER to 0.4.11
    - Make the build fails if symbols are missing the .symbols file
  * debian/patches/fix-mozjs-detection.patch: Properly detect mozjs, patch
    from upstream VCS.
  * debian/libproxy1.symbols: Add symbols file
  * debian/watch: Update to work with Google Code website, again.
  * debian/proxy.1, debian/libproxy-tools.manpages: Install a manpage for the
    proxy command (Closes: #660327)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 14 Sep 2013 15:35:03 +0200
